Update a Task
curl --request PUT \
--url https://api.projectcor.com/v1/tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"project_id": 123,
"description": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"archived": true
}
'import requests
url = "https://api.projectcor.com/v1/tasks/{task_id}"
payload = {
"title": "<string>",
"project_id": 123,
"description": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
project_id: 123,
description: '<string>',
deadline: '2023-11-07T05:31:56Z',
archived: true
})
};
fetch('https://api.projectcor.com/v1/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/tasks/{task_id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
project_id: 123,
description: '<string>',
deadline: '2023-11-07T05:31:56Z',
archived: true
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/tasks/{task_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'project_id' => 123,
'description' => '<string>',
'deadline' => '2023-11-07T05:31:56Z',
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/tasks/{task_id}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"project_id\": 123,\n \"description\": \"<string>\",\n \"deadline\": \"2023-11-07T05:31:56Z\",\n \"archived\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"title": "<string>",
"project_id": 123,
"description": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"archived": true
}Tasks
Update a Task
Update Task attributes
PUT
/
tasks
/
{task_id}
Update a Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Task Title
Project ID
Description
Deadline
Task status
Available options:
nueva, en_proceso, estancada, finalizada Task Priority: 0 = Low, 1 = Medium, 2 = High, 3 = Urgent
Available options:
0, 1, 2, 3 Archived task
Response
200 - application/json
Task updated successfully
Was this page helpful?
⌘I

